# -*- coding: utf-8 -*-
import codecs
import io
import os
import re
import sys
import shutil

sys.stdout = io.TextIOWrapper(sys.stdout.buffer, encoding='utf-8')


def get_related_imgs(src_dir=None, filename=None):
    """
    得到类似 xxxx-300x300.jpg这样的图片文件名
    :param src_dir:
    :param filename:
    :return:
    """
    pattern = re.compile(r"(.*)(\.jpg|\.jpeg|\.JPEG|\.png|\.JPG|\.PNG|\.tif|\.TIF|\.gif|\.GIF)")
    m = pattern.match(filename)

    group_set = m.groups()

    if len(group_set) < 2:
        print(filename + u'not image file')

    imgs = []
    for s in ['45x45', '100x100', '150x150', '300x215', '300x225', '300x300', '400x400', '550x500', '600x429', '700x340', '768x550', '768x576']:
        new_file = group_set[0] + '-' + s + group_set[1]
        print(u"new_file: " + new_file)
        if os.path.exists(src_dir + '/' + new_file):
            imgs.append(new_file)
        else:
            print("file not exist")
    return imgs


def process(csv=None, src_dir=None, dst_dir=None):
    """
    将一个目录中的文件移到另外一个目录中（除csv中的外）
    :param csv:
    :param src_dir:
    :param dst_dir:
    :return:
    """
    with codecs.open(csv, 'rb', 'utf-8') as f:
        count = 0
        src_file_count = 0

        remain_files = []
        for line in f:
            filename = line[1:-2]
            remain_files.append(filename)

        print(len(remain_files))
        for f in os.listdir(src_dir):
            src_file_count += 1
            print(u"list file: " + f)
            print(src_file_count)
            pattern = re.compile(r"(.*)(\.jpg|\.jpeg|\.JPEG|\.png|\.JPG|\.PNG|\.tif|\.TIF|\.gif|\.GIF)")
            m = pattern.match(f)

            if not m:
                print("m is None")
                continue

            group_set = m.groups()
            if len(group_set) < 2:
                print(filename + u'not image file')
                continue

            print(f not in remain_files)
            if f not in remain_files:
                print(f)
                shutil.move(src_dir + '/' + f, dst_dir + '/' + f)
                count += 1
                print(count)


if __name__ == '__main__':
    process(csv=sys.argv[1], src_dir=sys.argv[2], dst_dir=sys.argv[3])