# -*- coding: utf-8 -*-
import codecs
import io
import os
import re
import sys
import shutil

sys.stdout = io.TextIOWrapper(sys.stdout.buffer, encoding='utf-8')


def process(src_dir=None, dst_dir=None):
    """
    根据csv文件清单，将一个目录中的文件移到另外一个目录中
    :param csv:
    :param src_dir:
    :param dst_dir:
    :return:
    """

    count = 0
    for f in os.listdir(src_dir):
        pattern = re.compile(r"(.*)(-\d{1,2})(\.jpg|\.jpeg|\.JPEG|\.png|\.JPG|\.PNG)")
        m = pattern.match(f)

        if not m:
            continue

        # print(f, m.string)

        if f != m.string:
            continue

        group_set = m.groups()

        if len(group_set) < 3:
            continue

        print(f)
        if os.path.exists(src_dir + '/' + group_set[0] + group_set[2]):
            shutil.move(src_dir + '/' + f, dst_dir + '/' + f)
            count += 1
            print(count)


if __name__ == '__main__':
    process(src_dir=sys.argv[1], dst_dir=sys.argv[2])